## org.apache.batik.util
Class Base64DecodeStream

    java.lang.Object
      java.io.InputStream
          org.apache.batik.util.Base64DecodeStream

All Implemented Interfaces:
  java.io.Closeable

    public class Base64DecodeStream

extends java.io.InputStream

This class implements a Base64 Character decoder as specified in RFC1113. Unlike some other encoding schemes there is nothing in this encoding that tells the decoder where a buffer starts or stops, so to use it you will need to isolate your encoded data into a single chunk and then feed them this decoder. The simplest way to do that is to read all of the encoded data into a string and then use:

          byte    data[];
          InputStream is = new ByteArrayInputStream(data);
          is = new Base64DecodeStream(is);

On errors, this class throws a IOException with the following detail strings:

        "Base64DecodeStream: Bad Padding byte (2)."
        "Base64DecodeStream: Bad Padding byte (1)."

Constructor Summary
`Base64DecodeStream(java.io.InputStream src)`

Method Summary
`int` `available()`
`void` `close()`
`boolean` `markSupported()`
`int` `read()`
`int` `read(byte[] out, int offset, int len)`

Methods inherited from class java.io.InputStream
`mark, read, reset, skip`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Base64DecodeStream

    public Base64DecodeStream(java.io.InputStream src)

Method Detail

### markSupported

    public boolean markSupported()

  Overrides:
    `markSupported` in class `java.io.InputStream`

### close

    public void close()
               throws java.io.IOException

  Specified by:
    `close` in interface `java.io.Closeable`
  Overrides:
    `close` in class `java.io.InputStream`
  Throws:
    `java.io.IOException`

### available

    public int available()
                  throws java.io.IOException

  Overrides:
    `available` in class `java.io.InputStream`
  Throws:
    `java.io.IOException`

### read

    public int read()
             throws java.io.IOException

  Specified by:
    `read` in class `java.io.InputStream`
  Throws:
    `java.io.IOException`

### read

    public int read(byte[] out,
                    int offset,
                    int len)
             throws java.io.IOException

  Overrides:
    `read` in class `java.io.InputStream`
  Throws:
    `java.io.IOException`

Copyright © 2008 Apache Software Foundation. All Rights Reserved.